cgGLGetParameter1f(3)

NAME
cgGLGetParameter1f - get the values from a scalar or vector parameter

SYNOPSIS
  #include <Cg/cgGL.h>
  void cgGLGetParameter1f( CGparameter param,
                           float * v );

PARAMETERS

param
    The parameter from which the values will be retrieved.

v   Destination buffer into which the values will be written.

RETURN VALUES
None.

DESCRIPTION
cgGLGetParameter1f extracts parameter values set by the cgGLSetParameter functions.

cgGLGetParameter1f may only be called with uniform numeric parameters.

EXAMPLES
to-be-written

ERRORS
CG_INVALID_PROFILE_ERROR is generated if param's profile is not a supported OpenGL profile.

CG_INVALID_PARAM_HANDLE_ERROR is generated if param is not a valid parameter.

HISTORY
cgGLGetParameter1f was introduced in Cg 1.1.

SEE ALSO
cgGLSetParameter, cgGLGetParameterArray